Package org.apache.bcel.generic

# Class JSR_W

java.lang.Object
org.apache.bcel.generic.Instruction
org.apache.bcel.generic.BranchInstruction
org.apache.bcel.generic.JsrInstruction
org.apache.bcel.generic.JSR_W

All Implemented Interfaces:
  `Cloneable`, `InstructionTargeter`, `StackProducer`, `TypedInstruction`, `UnconditionalBranch`

public class JSR_W extends JsrInstruction
JSR_W - Jump to subroutine

- ## Field Summary

  ### Fields inherited from class org.apache.bcel.generic.BranchInstruction

  `index, position, target`

  ### Fields inherited from class org.apache.bcel.generic.Instruction

  `length, opcode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JSR_W(InstructionHandle target)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `accept(Visitor v)`
  Call corresponding visitor method(s).
  `void`
  `dump(DataOutputStream out)`
  Dump instruction as byte code to stream out.
  `protected void`
  `initFromFile(ByteSequence bytes, boolean wide)`
  Read needed data (e.g.

  ### Methods inherited from class org.apache.bcel.generic.JsrInstruction

  `getType, physicalSuccessor`

  ### Methods inherited from class org.apache.bcel.generic.BranchInstruction

  `containsTarget, getIndex, getPosition, getTarget, getTargetOffset, getTargetOffset, setIndex, setPosition, setTarget, toString, updatePosition, updateTarget`

  ### Methods inherited from class org.apache.bcel.generic.Instruction

  `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.bcel.generic.StackProducer

  `produceStack`

- ## Constructor Details

  - ### JSR_W

    public JSR_W(InstructionHandle target)

- ## Method Details

  - ### accept

    public void accept(Visitor v)
    Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
    Specified by:
      `accept` in class `Instruction`
    Parameters:
      `v` - Visitor object

  - ### dump

    public void dump(DataOutputStream out) throws IOException
    Dump instruction as byte code to stream out.
    Overrides:
      `dump` in class `BranchInstruction`
    Parameters:
      `out` - Output stream
    Throws:
      `IOException` - Thrown when an I/O exception of some sort has occurred.

  - ### initFromFile

    protected void initFromFile(ByteSequence bytes, boolean wide) throws IOException
    Read needed data (e.g. index) from file.
    Overrides:
      `initFromFile` in class `BranchInstruction`
    Parameters:
      `bytes` - input stream
      `wide` - wide prefix?
    Throws:
      `IOException` - may be thrown if the implementation needs to read data from the file
    See Also:
      - `InstructionList`